ContestDrop your site, win 2x $500 in credits.Drop your site, share it on X, win 2x $500 in credits.Enter nowEnter now

Create Private Domains from YAML

View as Markdown
  • POST
  • /workspaces
  • /:workspace
  • /domains
  • /private
  • /yaml

Create or update private domains from YAML

Request

REQUIRED SCOPES
DOMAIN_MANAGE
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspace

Example: "my-company"

BODY PARAMETERS
yamlstring
The Base64-encoded YAML definition of the domain records. The top-level key is the domain name. The apex SOA and NS records are read-only and must stay as returned by the API

Response

RESPONSE BODY
urlread-onlystring
API endpoint to GET this object
html_urlread-onlystring
Web URL to view this object in Buddy.works
domainsDomainViewIds[]

Last modified on Oct 7, 2026

Request example

curl -X POST "https://api.buddy.works/workspaces/:workspace/domains/private/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "yaml": "aW50ZXJuYWwubGFuOgogIHJlY29yZHM6CiAgICAnQCc6CiAgICAtIHR5cGU6IFNPQQogICAgICB2YWx1ZXM6IG5zMS5idWRkeS53b3JrcyBob3N0bWFzdGVyLmJ1ZGR5LndvcmtzIDEgMTA4MDAgMzYwMCA2MDQ4MDAgMzYwMAogICAgLSB0eXBlOiBOUwogICAgICB2YWx1ZXM6IG5zMS5idWRkeS53b3JrcwogICAgLSB0eXBlOiBBCiAgICAgIHZhbHVlczogMTAuMC4wLjEwCiAgICBhcGk6CiAgICAtIHR5cGU6IEEKICAgICAgdmFsdWVzOiAxMC4wLjAuMjAKc3RhZ2luZy5sYW46CiAgcmVjb3JkczoKICAgIGRiOgogICAgLSB0eXBlOiBBCiAgICAgIHZhbHVlczogMTAuMC4xLjUKICAgIGNhY2hlOgogICAgLSB0eXBlOiBDTkFNRQogICAgICB2YWx1ZXM6IGRiLnN0YWdpbmcubGFuLgo=" }'